Sophie

Sophie

distrib > Scientific%20Linux > 5x > x86_64 > by-pkgid > f48a5cd9ad8f17ad8b10b2d4229901f6 > files > 17

cman-2.0.115-109.el5_9.4.src.rpm

commit 81ee84ff36b08e9ff35d1c47daf087f9c37f9fe8
Author: Fabio M. Di Nitto <fdinitto@redhat.com>
Date:   Fri Jul 23 16:13:31 2010 +0200

    cman: allow init script to pass options to fenced
    
    Use FENCED_OPTS to pass startup options to fenced
    
    Resolves: rhbz#730639
    
    Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>

diff --git a/cman/init.d/cman b/cman/init.d/cman
index b59216a..2ed83a5 100755
--- a/cman/init.d/cman
+++ b/cman/init.d/cman
@@ -55,6 +55,9 @@
 #     to join the fence domain (equivalent to "yes").
 [ -z "$FENCE_JOIN" ] && FENCE_JOIN="yes"
 
+# FENCED_OPTS -- allow extra options to be passed to fence daemon.
+[ -z "$FENCED_OPTS" ] && FENCED_OPTS=""
+
 # NETWORK_BRIDGE_SCRIPT -- script to use for xen network bridging.
 #     This script must exist in the /etc/xen/scripts directory.
 #     The default script is "network-bridge".
@@ -163,7 +166,7 @@ start_daemons()
 
     status fenced &> /dev/null
     if [ $? -ne 0 ]; then
-	errmsg=$( /sbin/fenced 2>&1 ) || return 1
+	errmsg=$( /sbin/fenced "$FENCED_OPTS" 2>&1 ) || return 1
     fi
 
     status dlm_controld &> /dev/null